<?php
/*************************************************
*                                                *
*   Stats for TMN Aseco+RASP                     *
*   __________________________________________   *
*                                                *
*   Version 1.9b                                  *
*   Copyright (c) 2007-2008 by oS.Cypher         *
*   Developed as a Project of Old School Gaming  *
*                                                *
*   http://www.os-gaming.de                      *
*                                                *
*************************************************/

require("config.php");
if($globalstat==1){
require("includes/globals.php");
}
include("includes/functions.php");
include("includes/ColorParser.php");
$cp = new ColorParser();
if ($lang) {
	include("languages/".$lang.".php");
	} else {
	$lang=$def_language;
	include("languages/".$lang.".php");
	}
include("includes/db_connect.php");
$gamename = $cp->toHTML($gameserver_name,0,1);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Stats for TMF Aseco + RASP - Version 1.9e</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php
include("includes/styles.php");
?>
</head>
<body bgcolor=<?php echo $pagebg ?>>
<p align="center"><a href="?lang=ENG&page=
<?php 
echo $page;
if ($plid) {
	echo "&plid=".$plid;
	}
if ($trid) {
	echo "&trid=".$trid;
    }
if ($UId) {
	echo "&UId=".$UId;
    }
if ($subpage) {
	echo "&subpage=".$subpage;
    }		
?>"><img src="img/flags/GBR.png" width="18" height="12" border="0"></a>&nbsp; 
  <a href="?lang=GER&page=
<?php 
echo $page;
if ($plid) {
	echo "&plid=".$plid;
	}
if ($trid) {
	echo "&trid=".$trid;
    }
if ($UId) {
	echo "&UId=".$UId;
    }
if ($subpage) {
	echo "&subpage=".$subpage;
    }	
?>"><img src="img/flags/GER.png" width="18" height="12" border="0"></a>&nbsp;
  <a href="?lang=FRA&page=
<?php 
echo $page;
if ($plid) {
	echo "&plid=".$plid;
	}
if ($trid) {
	echo "&trid=".$trid;
    }
if ($UId) {
	echo "&UId=".$UId;
    }
if ($subpage) {
	echo "&subpage=".$subpage;
    }	
?>"><img src="img/flags/FRA.png" width="18" height="12" border="0"></a>&nbsp;
  <a href="?lang=NED&page=
<?php 
echo $page;
if ($plid) {
	echo "&plid=".$plid;
	}
if ($trid) {
	echo "&trid=".$trid;
    }
if ($UId) {
	echo "&UId=".$UId;
    }
if ($subpage) {
	echo "&subpage=".$subpage;
    }	
?>"><img src="img/flags/NED.png" width="18" height="12" border="0"></a></p>
<p class="pagetitle"><?php echo $lng_headline ?> <?php echo $gamename ?></p>
<table width="500" border="0" align="center">
  <tr valign="middle"> 
    <td width="20%" height="22" class="menuback"><a href="?lang=<?php echo $lang ?>&page=players" class="menufont"> 
      <?php echo $lng_title_players ?>
      </a></td>
    <td width="20%" height="22" class="menuback"><a href="?lang=<?php echo $lang ?>&page=ladder" class="menufont"> 
      <?php echo $lng_title_ladder ?>
      </a></td>
    <td width="20%" height="22" class="menuback"><a href="?lang=<?php echo $lang ?>&page=tracks" class="menufont"> 
      <?php echo $lng_title_tracks ?>
      </a></td>
    <td width="20%" height="22" class="menuback"><a href="?lang=<?php echo $lang ?>&page=serverstats" class="menufont"> 
      <?php echo $lng_title_serverstats ?>
      </a></td>	
    <td width="20%" height="22" class="menuback"><a href="?lang=<?php echo $lang ?>&page=search" class="menufont"> 
      <?php echo $lng_title_search ?>
      </a></td>	 	    
  </tr>
</table>
<?php 
  if($page){
	include("pages/".$page.".php"); 
	} else {
	include("pages/home.php");
	}
?>
</table>
<?php
if($link_prev || $link_next) {
?>
<table width="500" bgcolor="<?php echo $bg4 ?>" border="0" align="center">
  <tr> 
    <td align="left"> 
      <?php echo $link_prev ?>
    </td>
    <td align="right"> 
      <?php echo $link_next ?>
    </td>
  </tr>
</table>
<?php
}
?>
<table width="500" border="0" align="center">
  <tr class="footerback">
     
    <td class="footer"> <a href="?lang=<?php echo $lang ?>&page=serverstatsbox" class="footer">Stats</a> for TMF Aseco + RASP - Version 1.9e <br> Copyright 
      by oS.Cypher - visit <a href="http://www.os-gaming.de" target="_blank" class="footer">www.os-gaming.de</a><br>Updated by CavalierDeVache - visit <a href="http://www.tm-slowpokes.com" target="_blank" class="footer">www.tm-slowpokes.com
</a></td>
  </tr>
</table>
</p>
<?php
/*********************************************
* It is not allowed to remove the Copyright! *
*              www.os-gaming.de              *
*********************************************/
mysql_close(); ?>
</body>
</html>
