<?php
/*************************************************
*                                                *
*   Stats for TMN Aseco Stats		             *
*   __________________________________________   *
*                                                *
*   Copyright (c) 2007 by [SN] Cypher            *
*   Developed as a Project of Shadow-Nation      *
*                                                *
*   http://www.shadow-nation.de                  *
*                                                *
* French traduction by christophe@gh-pc.com      *
*************************************************/

//Language File for French

//Main-Page & Menu-Items
$lng_headline			=		"TMF Aseco Statistiques pour ";
$lng_title_players		= 		"Joueurs";
$lng_title_ladder 		= 		"Serveur-ladder";
$lng_title_tracks 		= 		"Pistes";
$lng_title_donations	= 		"Donations";
$lng_title_serverstats	= 		"Statistiques Serveur";
$lng_title_search		=		"Recherche";

//Home
$lng_home_players		=		"Nombre de joueurs";
$lng_home_track			=		"Circuit en cours";

//Ladder
$lng_ladder_headline	=		"CLASSEMENT GENERAL";
$lng_ladder_rank		=		"Rang";
$lng_ladder_nation		=		"Pays";
$lng_ladder_player		=		"Joueur";
$lng_ladder_avg			=		"Moyenne";
$lng_ladder_banner		=		"Banner";

//Tracks
$lng_tracks_headline	=		"Informations sur les circuits";
$lng_tracks_trackname	=		"Nom du circuit";
$lng_tracks_author		=		"Auteur";
$lng_tracks_envi		=		"Environment";
$lng_tracks_tmxwr		=		"TMX WR";
$lng_tracks_tmxaw		=		"TMX Awards";
$lng_tracks_tmx			=		"TMX";
$lng_tracks_votes		=		"Votes";
$lng_tracks_karma		=		"Karma";

//TMX Info
$lng_tmx_headline		=		"TMX information sur le circuit";
$lng_tmx_trackid		=		"TMX ID:";
$lng_tmx_trackname		=		"Nom du circuit:";
$lng_tmx_authorid		=		"Auteur ID:";
$lng_tmx_author			=		"Auteur:";
$lng_tmx_uploaded		=		"Envoyee:";
$lng_tmx_updated		=		"Mise a jour:";
$lng_tmx_daytime		=		"mod:";
$lng_tmx_tracktype		=		"Type de circuit:";
$lng_tmx_route			=		"route:";
$lng_tmx_length			=		"length:";
$lng_tmx_difficulty		=		"difficulte:";
$lng_tmx_record			=		"Record du monde:";
$lng_tmx_download		=		"Telecharger ce circuit depuis TMX";
$lng_tmx_comment		=		"Commentaire de l auteur:";
$lng_tmx_status			=		"TMX est indisponible pour le moment !";
$lng_tmx_deactivated	=		"Les informations TMX sont desactivees sur ce serveur !";

//Players
$lng_players_headline	=		"Informations Joueurs";
$lng_players_id			=		"Joueur ID";
$lng_players_nickname	=		"Surnom";
$lng_players_login		=		"Login";
$lng_players_nation		=		"Pays";
$lng_players_timeplayed	=		"Temps passe sur le serveur";

//playerrecords
$lng_precords_headline	=		"Voici les classements du pilote: ";
$lng_precords_id		=		"Classement";
$lng_precords_track		=		"Circuit";
$lng_precords_time		=		"Temps";

//trackrecords
$lng_trecords_headline	=		"Classement sur ";
$lng_trecords_id		=		"Classement";
$lng_trecords_player	=			"Nom du joueur";
$lng_trecords_time		=		"Temps";

//Menu Stats
$lng_stats_server		=		"Serveur";
$lng_stats_game			=		"Jeu";
$lng_stats_challenge	=		"Challenge";
$lng_stats_players		=		"Joueurs";
$lng_stats_ranking		=		"Classement";
$lng_stats_serveroff	=		"! LE SERVEUR EST HORS SERVICE !";

//Server stats
$lng_stats_s_headline	=		"Informations sur le serveur";
$lng_stats_s_version	=		"Version:";
$lng_stats_s_build		=		"Revision:";
$lng_stats_s_game		=		"Jeu:";
$lng_stats_s_status		=		"Etat:";
$lng_stats_s_name		=		"Nom du serveur:";
$lng_stats_s_comment	=		"Commentaire:";
$lng_stats_s_players	=		"Nombre maximum de joueurs:";
$lng_stats_s_spectators	=		"Nombre maximum de spectateurs:";

//Game stats
$lng_stats_g_headline	=		"Information sur le jeu";
$lng_stats_g_mode		=		"Mode de jeu:";
$lng_stats_g_chattime	=		"Temps pour discuter:";
$lng_stats_g_challenges	=		"Nombre de circuits:";
$lng_stats_g_tl			=		"Temps limite pour le mode >Time Attack< :";
$lng_stats_g_rpl		=		"Nombre de points pour le mode >Rounds< :";
$lng_stats_g_nol		=		"Nombre de tours pour le mode >Tours<";
$lng_stats_g_seconds	=		"seconds";

//Challange stats
$lng_stats_c_headline	=		"Information sur les challenges";
$lng_stats_c_track		=		"Nom du challenge:";
$lng_stats_c_author		=		"Auteur:";
$lng_stats_c_envi		=		"Environnement:";
$lng_stats_c_mood		=		"Mood:";
$lng_stats_c_coppers	=		"Coppers:";
$lng_stats_c_atime		=		"Temps de l'auteur:";
$lng_stats_c_gtime		=		"Gold time:";
$lng_stats_c_stime		=		"Silver time:";
$lng_stats_c_btime		=		"Bronze time:";

//Player stats
$lng_stats_p_headline	=		"Informations sur les joueurs";
$lng_stats_p_status		=		"Joueurs connectes en ce moment";
$lng_stats_p_nick		=		"Surnom du joueur";
$lng_stats_p_login		=		"Login du joueur";
$lng_stats_p_ladder		=		"Classement Mondial ... le Ladder ";
$lng_stats_p_stat		=		"Etat";
$lng_stats_p_mode		=		"Mode";
$lng_stats_p_spec		=		"Spectateur";
$lng_stats_p_play		=		"Joueur";
$lng_stats_p_off		=		"Officiel";
$lng_stats_p_ioff		=		"Non Officiel";

//current ranking
$lng_stats_r_headline	=		"Classement actuel";
$lng_stats_r_status		=		"Pas de classement en cours";
$lng_stats_r_rank		=		"Classement";
$lng_stats_r_nick		=		"Surnom du joueur";
$lng_stats_r_login		=		"Login du joueur";
$lng_stats_r_best		=		"Meilleur Temps";
?>
