<?php
/*************************************************
*                                                *
*   Stats for TMN Aseco+RASP                     *
*   __________________________________________   *
*                                                *
*   Copyright (c) 2007-2008 by oS.Cypher         *
*   Developed as a Project of Old School Gaming  *
*                                                *
*   http://www.os-gaming.de                      *
*                                                *
*************************************************/
require("config.php");
require("includes/ColorParser.php");
require("includes/map.country.php");
if ($_GET[lang]) {
	include("languages/".$_GET[lang].".php");
	} else {
	$_GET[lang]=$def_language;
	include("languages/".$_GET[lang].".php");
	}
if($globalstat==1){
require("includes/globals.php");
	}
$servername1 = $gameserver_name;
$servername = $gameserver_name;
$timeout = 5;
$fp = @fsockopen($ip2, $server_port, $errno, $errstr, $timeout); 
if($fp) {
	fclose($fp);
	require("includes/GbxRemote.inc.php");
	$client = new IXR_Client_Gbx;
	if (!$client->InitWithIp($ip,$port)) {
   		die('An error occurred - '.$client->getErrorCode().":".$client->getErrorMessage());
	}
	if (!$client->query("Authenticate", $user, $pass)) {
		Error($client->getErrorMessage(), $client->getErrorCode());
		print "login failed !<br/>";
	}	
	if($client->query('GetServerOptions', 1)) {
	$ServerOptions = $client->getResponse();
	$servername= trim($ServerOptions['Name']);
	$servername1 = $servername;
	}
}
include("includes/db_connect.php");
$SQL_Statement="SELECT * FROM rs_rank ORDER BY avg ASC";
$result=mysql_query($SQL_Statement);
$rank=1;
while($data=mysql_fetch_array($result)){
	if($data['playerID']==$plid) {
	$SQL_Statement2="SELECT * FROM players WHERE ID='$plid'";
	$result2=mysql_query($SQL_Statement2);
	$data2=mysql_fetch_array($result2);
	$playerlogin = $data2['Login'];
	$playername = trim($data2['NickName']);
	$cp = new ColorParser();
	$playername1 = $playername.'$z'; 
	$playerrank = $rank;
	$zone = $data2['Nation'];
	if (($pos = strpos($zone, '|')) !== false) {
	$lnation = substr($zone, 0, $pos);  // strip subzone(s)
	} else { 
	$lnation = $zone;
	}
	if (strlen($lnation) === 3) {
	$nation = strtoupper($lnation);
	} else { 
	$nation = mapCountry($lnation);
	}
	if($nation){
		$flag="img/flags/".$nation.".png";
		} else {
		$flag="img/flags/UKN.png";
	}
	$avg=$data['avg']/10000;
	$avg = sprintf ("%.1f", $avg);
	$MwTime = $data2['TimePlayed'];
	$hours = floor($MwTime/3600);
	$minutes = floor(($MwTime/60-$hours*60));
	$seconds = substr($MwTime-$minutes*60-$hours*3600,-2);
	$time = sprintf("%02dh %02dm %02ds", $hours, $minutes, $seconds);
	} else {
	$rank++;
	}
}
if($statsbox=="1"){
//create large Statusgraphic
Header ("Content-type: image/png");
$im = ImageCreateFromPNG ("img/statsbox/playerstats_big.png"); // Open of the Master-Picture
$white = ImageColorAllocate ($im, 255, 255, 255);  // white
$black = ImageColorAllocate ($im, 0, 0, 0); // black
$cp->drawStyledString ($im, 12, 85, 14, $black, $font1, $playername1." @ ".$servername1);
//ImageTTFText ($im, 12, 0, 85, 14, $black, $font2, $playername." @ ".$servername);
//ImageTTFText ($im, 10, 0, 300, 14, $white, $font2, "@ ".$servername); 
//$cp->drawStyledString($im, 10, 310, 14, $white, $font1, $servername1);
ImageTTFText ($im, 10, 0, 60, 34, $black, $font2, $lng_stats_server." ".$lng_trecords_id.": ".$playerrank."    ".$lng_ladder_avg.": ".$avg); 
ImageTTFText ($im, 10, 0, 60, 54, $black, $font2, $lng_players_timeplayed.": ".$time); 
$nationflag = imagecreatefrompng($flag);
imagealphablending($im, 1);
imagealphablending($nationflag, 1);
imagecopy($im, $nationflag, 60,4,0,0,18,11);
ImagePng ($im); // Als PNG ausgeben
ImageDestroy ($im); // Resourcen freigeben
}
if($statsbox=="2"){
//create medium Statusgraphic
Header ("Content-type: image/png");
$im = ImageCreateFromPNG ("img/statsbox/playerstats_middle.png"); // Open of the Master-Picture
$white = ImageColorAllocate ($im, 255, 255, 255);  // white
$black = ImageColorAllocate ($im, 0, 0, 0); // black
$cp->drawStyledString ($im, 8, 10, 12, $white, $font1, $playername." @ ".$lng_stats_server); 
$cp->drawStyledString ($im, 8, 10, 25, $white, $font1, $servername); 
ImageTTFText ($im, 8, 0, 5, 32, $white, $font2, "--------------------------------------------------"); 
ImageTTFText ($im, 8, 0, 10, 42, $white, $font2, $lng_stats_server." ".$lng_trecords_id.": ".$playerrank); 
ImageTTFText ($im, 8, 0, 10, 55, $white, $font2, $lng_ladder_avg.": ".$avg); 
ImagePng ($im); // Als PNG ausgeben
ImageDestroy ($im); // Resourcen freigeben
}
if($statsbox=="3"){
//create small Statusgraphic
Header ("Content-type: image/png");
$im = ImageCreateFromPNG ("img/statsbox/playerstats_small.png"); // Open of the Master-Picture
$white = ImageColorAllocate ($im, 255, 255, 255);  // white
$black = ImageColorAllocate ($im, 0, 0, 0); // black
$cp->drawStyledString ($im, 8, 110, 9, $white, $font1, $playername1." @ ".$servername1); 
ImageTTFText ($im, 6, 0, 110, 18, $white, $font2, $lng_stats_server." ".$lng_trecords_id.": ".$playerrank."  --  ".$lng_ladder_avg.": ".$avg."  --  ".$lng_players_timeplayed.": ".$time); 
ImagePng ($im); // Als PNG ausgeben
ImageDestroy ($im); // Resourcen freigeben
}
mysql_close(); 
?>
