<?php
/*************************************************
*                                                *
*   Stats for TMN Aseco+RASP                     *
*   __________________________________________   *
*                                                *
*   Copyright (c) 2007-2008 by oS.Cypher         *
*   Developed as a Project of Old School Gaming  *
*                                                *
*   http://www.os-gaming.de                      *
*                                                *
*************************************************/
require("config.php");
require("includes/ColorParser.php");
$cp = new ColorParser();
if ($_GET[lang]) {
	include("languages/".$_GET[lang].".php");
	} else {
	$_GET[lang]=$def_language;
	include("languages/".$_GET[lang].".php");
	}
if($globalstat==1){
require("includes/globals.php");
	}
$timeout = 5;
$status = "offline";
$connectedplayers = "None";
$trackname1 = "Offline";
$trackname = "Offline";
$servername = $gameserver_name;
$servername1 = $gameserver_name;
$fp = @fsockopen($ip2, $server_port, $errno, $errstr, $timeout); 
if($fp) {
fclose($fp);
require("includes/GbxRemote.inc.php");

$client = new IXR_Client_Gbx;

if (!$client->InitWithIp($ip,$port)) {
   die('An error occurred - '.$client->getErrorCode().":".$client->getErrorMessage());
}
if (!$client->query("Authenticate", $user, $pass)) {
	Error($client->getErrorMessage(), $client->getErrorCode());
	print "login failed !<br/>";
}
if($client->query('GetStatus')) {
	$Status = $client->getResponse();
	}
if($client->query('GetPlayerList',255,0)) {
	$Players = $client->getResponse();
	}
if($client->query('GetServerOptions', 1)) {
	$ServerOptions = $client->getResponse();
	$servername = trim($ServerOptions['Name']);
	$servername1 = $servername;
	}	
$pl=0;	
foreach ($Players as $player) {
	$pl++;
	}
if($client->query('GetCurrentChallengeInfo')) {
	$CurrentChallengeInfo = $client->getResponse();
	}
	$trackname = trim($CurrentChallengeInfo['Name']);			
	$trackname1 = $trackname;
	
$connectedplayers = $pl." / ".$ServerOptions['CurrentMaxPlayers'];

if($client->query('GetCurrentGameInfo')) {
	$GameInfo = $client->getResponse();
	}	
	if($GameInfo['GameMode']==0) {
			$GameMode="Rounds";
		}elseif($GameInfo['GameMode']==1) {
			$GameMode="TimeAttack";
		}elseif($GameInfo['GameMode']==2) {
			$GameMode="Team";
		}elseif($GameInfo['GameMode']==3) {
			$GameMode="Laps";
		}elseif($GameInfo['GameMode']==4) {
			$GameMode="Stunts";
		}elseif($GameInfo['GameMode']==5) {
			$GameMode="Cup";
		}

}
if($statsbox=="1"){
//create small Statusgraphic
Header ("Content-type: image/png");
$im = ImageCreateFromPNG ("img/statsbox/serverstats_small.png"); // Open of the Master-Picture
$white = ImageColorAllocate ($im, 255, 255, 255);  // white
$black = ImageColorAllocate ($im, 0, 0, 0); // black
$cp->drawStyledString ($im, 7, 30, 16, $black, $font1, $servername1); 
$cp->drawStyledString ($im, 7, 30, 37, $black, $font1, $trackname1); 
ImageTTFText ($im, 8, 0, 30, 57, $black, $font2, $connectedplayers." ".$lng_title_players); 
ImagePng ($im); // Als PNG ausgeben
ImageDestroy ($im); // Resourcen freigeben
} 
if($statsbox=="2") {
//create big Statusgraphic
Header ("Content-type: image/png");
$im = ImageCreateFromPNG ("img/statsbox/serverstats.png"); // Open of the Master-Picture
$white = ImageColorAllocate ($im, 255, 255, 255);  // white
$black = ImageColorAllocate ($im, 0, 0, 0); // black
ImageTTFText ($im, 8, 0, 3, 39, $white, $font2, $lng_stats_s_name);
$cp->drawStyledString ($im, 9, 5, 55, $white, $font1, $servername1);
//ImageTTFText ($im, 10, 0, 5, 55, $black, $font2, $servername); 
ImageTTFText ($im, 8, 0, 3, 69, $white, $font2, "IP / Port"); 
ImageTTFText ($im, 8, 0, 5, 85, $black, $font2, $ip2.":".$server_port); 
ImageTTFText ($im, 8, 0, 3, 99, $white, $font2, $lng_stats_g_mode); 
ImageTTFText ($im, 8, 0, 5, 115, $black, $font2, $GameMode);
ImageTTFText ($im, 8, 0, 3, 129, $white, $font2, $lng_stats_c_track); 
$cp->drawStyledString ($im, 8, 5, 145, $white, $font1, $trackname1);
//ImageTTFText ($im, 10, 0, 5, 145, $black, $font2, $trackname); 
ImageTTFText ($im, 8, 0, 3, 159, $white, $font2, $lng_stats_players); 
ImageTTFText ($im, 8, 0, 5, 175, $black, $font2, $connectedplayers); 
ImageTTFText ($im, 8, 0, 60, 159, $white, $font2, $lng_stats_s_status); 
ImageTTFText ($im, 8, 0, 62, 175, $black, $font2, $Status['Name']); 
ImagePng ($im); // Als PNG ausgeben
ImageDestroy ($im); // Resourcen freigeben
}
/*********************************************
* It is not allowed to remove the Copyright! *
*              www.os-gaming.de              *
*********************************************/
?>
