<?php
/*************************************************
*                                                *
*   Stats for TMF Aseco + RASP                   *
*   __________________________________________   *
*                                                *
*   Copyright (c) 2007-2008 by oS.Cypher         *
*   Developed as a Project of Old School Gaming  *
*                                                *
*   http://www.os-gaming.de                      *
*                                                *
*************************************************/ 

/* Configuration File for Aseco Stats */
/* The Gameservers dedicated_cfg must be set to allow remote if this script is not on the same machine as the game server */

	$gameserver_name = 'servernick'; 				/* Paste your Servername here from dedicated_cfg */
/* If you have Nadeo colorcodes or manialinks in the servername you must keep the single quotes around the servernick or the $ codes will be interpreted as empty variables and nothing will display */
	$db_user= "root"; 						/* The User for your database */
	$db_pass= "db_user_pass"; 					/* The db password for the defined User */
	$db_host= "localhost";						/* Your database host. most times localhost */
	$db_name= "aseco_db"; 						/* The Name of the Database */
	$ip2= "00.00.00.00";						/* Here you MUST enter your Gameserver IP Adress */
	$ip= "localhost";						/* If the script is on the same Server as the Gameserver set "localhost" if not enter your Gameserver IP again! */
	$port= 5002;							/* The XML_RPC Port of your TMU Server */
	$server_port= 2352;						/* The GameServer Port to check for On or Offline Status */		 
	$user= "SuperAdmin";						/* SuperAdmin Login dedicated_cfg */
	$pass= "serverpass";						/* SuperAdmin Password dedicated_cfg */
	$def_language= "ENG";    					/* Your GUI Language (ENG, GER) */
	$count= "25";							/* Results per Page */
/* Only change this line if you have a curl_init() problem! */
	$tmx_info= 1;							/* 0 = TMX info deaktivated; 1 = TMX active with check if TMX is available; 2 = TMX active without check if TMX is available */
/* If you cannot switch pages, set this to 1 */
	$globalstat= 1;							/* 0 = don't use globals; 1 = use globals */
/* If the link to your Playerstats or Serverstats Banner are not with the URL, change following 2 settings, if the links are okay, don't change this! */
	$autourl= 1;							/* set this to 0 if the URL is missing in the statusbanner URLs */
	$statsurl= "http://www.yourdomain.com/tmfas/";   /* you need only to enter this, if $autourl is set to "0". Don't forget the "/" at the end!!! */

/* Fonts for banners */

/* if you have a true Pan-Unicode font (Arial Unicode MS.ttf, Cyberbit.ttf, etc) copy it to the fonts/ folder, make sure the file name has no spaces in it, then paste the name in place of tahoma.ttf in order to support crazy nicks in banners */

	$font1="fonts/tahoma.ttf";					
	$font2="fonts/arial.ttf";
 
/* Style colours */

/* Menu Style */
	$s_menufont= "#FFFFFF";						/* Font Color of the main menu text */
	$sh_menufont= "#FFFFFF";					/* Hover font Color of the main menu text */
	$s_menuback= "#336699";						/* Background Colour of the main menu */
	$s_menubord= "#000000";						/* Border Colour of the main menu */  
	$s_menuback2= "#669966";					/* Background Colour of the sub menu */
	$s_menubord2= "#000000";					/* Border Colour of the sub menu */
      
/* Result table styles */
	$bg1= "#CCCCCC";						/* Cell Background1 from Result Tables */
	$bg2= "#FFFFFF";						/* Cell Background2 from Result Tables */
	$ttcolour= "#000000";						/* Colour of the Headline for the result tables */
	$s_tablehead= "#CCCCCC";					/* Colour of the result table name row font */
	$s_tableheadb= "#CCCCCC";					/* Colour of the result table name row font (For tables with bigger headline) */ 
	$s_celltext= "#000000";						/* Font colour of the results */
	$s_celltextrb= "#000000";					/* Font colour of the result tables (bold right 12px) */
	$s_celltextl= "#000000";					/*Font colour of the result tables (normal left 9px) */
	$sh_celltext= "#000000";					/* Hover Font colour of the results */
	$bg4= "#FFFFFF";						/* result table bg colour */		  
	$bg3= "#9999FF";						/* row hover colour on result tables */
	$resultbg= "#000000";						/* Background of Result Table Titles */	  
	 
/* Page styles */
	$menubg= "#CCCCCC";						/* Background of server Stats Submenu */
	$s_pagetitle= "#000000";					/* Colour of the Page title */
	$pagebg= "#FFFFFF";						/* Background colour of the page */
	$s_footfont= "#FFFFFF";						/* Colour of the footer text */
	$s_footback= "#336699";						/* Footer Background Colour */
	$s_footbord= "#000000";						/* Footer Border Colour	*/
	$s_error= "#FF0000";						/* Colour for Error messages */

/* The server maintainer should insert the Internet IP adress of the computer he checks these  pages from here in order to see any errors */

if($_SERVER['REMOTE_ADDR']=="127.0.0.1")
{
  ini_set('display_errors','On');
}
else
{
  ini_set('display_errors','Off');
} 
?>
