<?php
/*************************************************
*                                                *
*   Stats for TMN Aseco Stats		             *
*   __________________________________________   *
*                                                *
*   Copyright (c) 2007 by [SN] Cypher            *
*   Developed as a Project of Shadow-Nation      *
*                                                *
*   http://www.shadow-nation.de                  *
*                                                *
*************************************************/

//Language File for German

//Main-Page & Menu-Items
$lng_headline			=		"TMF Aseco Statistiken von ";
$lng_title_players		= 		"Spieler";
$lng_title_ladder 		= 		"Serverrangliste";
$lng_title_tracks 		= 		"Strecken";
$lng_title_donations	= 		"Zahlungen";
$lng_title_serverstats	= 		"Serverstatus";
$lng_title_search		=		"Suche";

//Home
$lng_home_players		=		"Derzeitige Spieleranzahl";
$lng_home_track			=		"Aktuelle Strecke";

//Ladder
$lng_ladder_headline	=		"Interne Serverrangliste";
$lng_ladder_rank		=		"Rang";
$lng_ladder_nation		=		"Land";
$lng_ladder_player		=		"Spieler";
$lng_ladder_avg			=		"Durschschnitt";
$lng_ladder_banner		=		"Banner";

//Tracks
$lng_tracks_headline	=		"Streckeninformation";
$lng_tracks_trackname	=		"Streckenname";
$lng_tracks_author		=		"Author";
$lng_tracks_envi		=		"Umgebung";
$lng_tracks_tmxwr		=		"TMX WR";
$lng_tracks_tmxaw		=		"TMX Awards";
$lng_tracks_tmx			=		"TMX";
$lng_tracks_votes		=		"Stimmen";
$lng_tracks_karma		=		"Karma";

//TMX Info
$lng_tmx_headline		=		"TMX Streckeninformation";
$lng_tmx_trackid		=		"TMX ID:";
$lng_tmx_trackname		=		"Streckenname:";
$lng_tmx_authorid		=		"Author ID:";
$lng_tmx_author			=		"Author:";
$lng_tmx_uploaded		=		"Hochgeladen:";
$lng_tmx_updated		=		"Update:";
$lng_tmx_daytime		=		"Tageszeit:";
$lng_tmx_tracktype		=		"Streckentyp:";
$lng_tmx_route			=		"Streckenart:";
$lng_tmx_length			=		"Zeit:";
$lng_tmx_difficulty		=		"Schwierigkeit:";
$lng_tmx_record			=		"Weltrekord:";
$lng_tmx_download		=		"Lade Dir hier diese Strecke von TMX";
$lng_tmx_comment		=		"Kommentar des Authors:";
$lng_tmx_status			=		"TMX ist derzeit leider nicht erreichbar!";
$lng_tmx_deactivated	=		"TMX Infos sind auf diesem Server deaktiviert!";

//Players
$lng_players_headline	=		"Spielerinformation";
$lng_players_id			=		"Spieler ID";
$lng_players_nickname	=		"Nickname";
$lng_players_login		=		"Login";
$lng_players_nation		=		"Land";
$lng_players_timeplayed	=		"gespielte Zeit";

//playerrecords
$lng_precords_headline	=		"Serverrekorde von ";
$lng_precords_id		=		"Rang";
$lng_precords_track		=		"Strecke";
$lng_precords_time		=		"Zeit";

//trackrecords
$lng_trecords_headline	=		"Serverrekorde auf ";
$lng_trecords_id		=		"Rang";
$lng_trecords_player	=		"Spielername";
$lng_trecords_time		=		"Zeit";

//Menu Stats
$lng_stats_server		=		"Server";
$lng_stats_game			=		"Spiel";
$lng_stats_challenge	=		"Strecke";
$lng_stats_players		=		"Spieler";
$lng_stats_ranking		=		"Rangliste";
$lng_stats_serveroff	=		"Der Gameserver ist im moment leider offline!";

//Server stats
$lng_stats_s_headline	=		"Server Informationen";
$lng_stats_s_version	=		"Version:";
$lng_stats_s_build		=		"Build:";
$lng_stats_s_game		=		"Spiel:";
$lng_stats_s_status		=		"Status:";
$lng_stats_s_name		=		"Servername:";
$lng_stats_s_comment	=		"Kommentar:";
$lng_stats_s_players	=		"Max. Spieler:";
$lng_stats_s_spectators	=		"Max. Zuschauer:";

//Game stats
$lng_stats_g_headline	=		"Spiel Informationen";
$lng_stats_g_mode		=		"Spielmodus:";
$lng_stats_g_chattime	=		"Chatzeit:";
$lng_stats_g_challenges	=		"Streckenanzahl:";
$lng_stats_g_tl			=		"Zeitlimit:";
$lng_stats_g_rpl		=		"Punktlimit:";
$lng_stats_g_nol		=		"Rundenanzahl:";
$lng_stats_g_seconds	=		"Sekunden";

//Challenge stats
$lng_stats_c_headline	=		"Strecken Informationen";
$lng_stats_c_track		=		"Streckenname:";
$lng_stats_c_author		=		"Author:";
$lng_stats_c_envi		=		"Umgebung:";
$lng_stats_c_mood		=		"Modus:";
$lng_stats_c_coppers	=		"Coppers:";
$lng_stats_c_atime		=		"Author Zeit:";
$lng_stats_c_gtime		=		"Gold Zeit:";
$lng_stats_c_stime		=		"Silber Zeit:";
$lng_stats_c_btime		=		"Bronze Zeit:";

//Player stats
$lng_stats_p_headline	=		"Spielerstatus";
$lng_stats_p_status		=		"Im Moment befinden sich keine Spieler auf dem Server!";
$lng_stats_p_nick		=		"Nickname";
$lng_stats_p_login		=		"Loginname";
$lng_stats_p_ladder		=		"Ladder Rang";
$lng_stats_p_stat		=		"Status";
$lng_stats_p_mode		=		"Modus";
$lng_stats_p_spec		=		"zuschauen";
$lng_stats_p_play		=		"spielen";
$lng_stats_p_off		=		"offiziell";
$lng_stats_p_ioff		=		"inoffiziell";

//current ranking
$lng_stats_r_headline	=		"Aktuelle Rangliste";
$lng_stats_r_status		=		"Derzeit ist leider kein Ranking verfuegbar!";
$lng_stats_r_rank		=		"Rang";
$lng_stats_r_nick		=		"Nickname";
$lng_stats_r_login		=		"Loginname";
$lng_stats_r_best		=		"Beste Zeit";
?>
