<?php
function bbtohtml($wandeln)
{
	$wandeln = preg_replace("#\[track=(.*?)\](.*?)\[/track\]#si", '<img src=http://nations.tm-exchange.com/get.aspx?action=trackscreen&id=\2 target="_blank"></img>', $wandeln);
	$wandeln = preg_replace("#\[url=(.*?)\](.*?)\[/url\]#si", '<a href=\1 target="_blank">Link \2</a>', $wandeln);
	$wandeln = preg_replace("#\[url=(.*?)\](.*?)#si", '<a href=\1 target="_blank">Link \2</a>', $wandeln);	
	$pattern = '#(^|[^\"=]{1})(http://|ftp://|mailto:|news:)([^\s<>]+)([\s\n<>]|$)#sm';
	$wandeln = preg_replace($pattern,"\\1<a href=\"\\2\\3\" target=_blank><u>\\2\\3</u></a>\\4",$wandeln);

	$bbcodes = array("[b]", "[/b]","[u]", "[/u]","[i]", "[/i]");
	$htmlcodes = array("<b>", "</b>", "<u>", "</u>", "<i>", "</i>");
	$wandeln = str_replace($bbcodes, $htmlcodes, $wandeln);	


		
	return $wandeln;
}

if($tmx_info==0) {
	echo "<p class=\"tmxoffline\">".$lng_tmx_deactivated."</p>";
} elseif($tmx_info==1) {
$webserver[0]['name'] = 'TMN';
$webserver[0]['url'] = 'http://nations.tm-exchange.com/apiget.aspx';
$webserver = pingSite($webserver);
foreach ($webserver as $key => $host) 
{ 
   if(!$host['status']) {
    echo "<p class=\"tmxoffline\">".$lng_tmx_status."</p>";
   } else {

include("includes/tmx_get.php");
	$MwTime = $tmx['records'];
	$minutes = floor($MwTime/(1000*60));
	$seconds = floor(($MwTime-$minutes*60*1000)/1000);
	$mseconds = substr($MwTime,strlen($MwTime)-3,2);
	$time=sprintf("%02d:%02d.%02d", $minutes, $seconds, $mseconds);
	if(!isset($tmx['name'])) {
		$tmx['name'] = 'Map not found on TMX';
		$tmx['imgurlsmall'] = 'img/notfound.png';
		$tmx['download'] = 'http://www.tm-exchange.com';
	}
?>
<div align="center"><br>
  <table width="496" border="0" bgcolor="<?php echo $bg4 ?>" cellpadding="0" cellspacing="0">
    <tr bgcolor="#000000"> 
      <td height="25" colspan="5" class="tablehead-big"> <div align="center"><?php echo $lng_tmx_headline ?></div></td>
    </tr>
    <tr class="celltext"> 
      <td width="20%" height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_trackid ?></td>
      <td width="29%" height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['id'] ?></td>
      <td width="1%" height="25" rowspan="9" bgcolor="#000000">&nbsp;</td>
      <td height="25" colspan="2" rowspan="6" bgcolor="<?php echo $bg2 ?>"> 
        <div align="center"><img src="<?php echo $tmx['imgurlsmall'] ?>"></div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_trackname ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['name'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_author ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['author'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_uploaded ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['uploaded'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_updated ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['updated'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_tracktype ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['type'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_route ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['routes'] ?></td>
      <td width="25%" height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_daytime ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['mood'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_length ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['length'] ?></td>
      <td width="25%" height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_difficulty ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['difficult'] ?></td>
    </tr>
    <tr bgcolor="#000000"> 
      <td height="25" colspan="5"> <div align="center"><font color="#CCCCCC"><a href="<?php echo $tmx['download'] ?>" class="menufont"><?php echo $lng_tmx_download ?></a></font></div></td>
    </tr>
    <tr bgcolor="<?php echo $bg1 ?>"> 
      <td height="25" colspan="5" class="celltext"><br>
        <?php echo $lng_tmx_comment ?><br> <table width="490" border="0" align="center">
          <tr> 
            <td class="celltext"><?php echo bbtohtml($tmx['comment']) ?></td>
          </tr>
        </table>
        <br> </td>
    </tr>
  </table>
</div>
<?php
   }
}  
} elseif($tmx_info==2) {
include("includes/tmx_get.php");
	$MwTime = $tmx['records'];
	$minutes = floor($MwTime/(1000*60));
	$seconds = floor(($MwTime-$minutes*60*1000)/1000);
	$mseconds = substr($MwTime,strlen($MwTime)-3,2);
	$time=sprintf("%02d:%02d.%02d", $minutes, $seconds, $mseconds);
	if(!isset($tmx['name'])) {
		$tmx['name'] = 'Map not found on TMX';
		$tmx['imgurlsmall'] = 'img/notfound.png';
		$tmx['download'] = 'http://www.tm-exchange.com';
	}
?>
<div align="center"><br>
  <table width="496" border="0" bgcolor="<?php echo $bg4 ?>" cellpadding="0" cellspacing="0">
    <tr bgcolor="#000000"> 
      <td height="25" colspan="5" class="tablehead-big"> <div align="center"><?php echo $lng_tmx_headline ?></div></td>
    </tr>
    <tr class="celltext"> 
      <td width="20%" height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_trackid ?></td>
      <td width="29%" height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['id'] ?></td>
      <td width="1%" height="25" rowspan="9" bgcolor="#000000">&nbsp;</td>
      <td height="25" colspan="2" rowspan="6" bgcolor="<?php echo $bg2 ?>"> 
        <div align="center"><img src="<?php echo $tmx['imgurlsmall'] ?>"></div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_trackname ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['name'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_author ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['author'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_uploaded ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['uploaded'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_updated ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['updated'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_tracktype ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['type'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_route ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['routes'] ?></td>
      <td width="25%" height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-rb"><?php echo $lng_tmx_daytime ?></td>
      <td height="25" bgcolor="<?php echo $bg1 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['mood'] ?></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_length ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['length'] ?></td>
      <td width="25%" height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-rb"><?php echo $lng_tmx_difficulty ?></td>
      <td height="25" bgcolor="<?php echo $bg2 ?>" class="celltext-l">&nbsp;&nbsp;<?php echo $tmx['difficult'] ?></td>
    </tr>
    <tr bgcolor="#000000"> 
      <td height="25" colspan="5"> <div align="center"><font color="#CCCCCC"><a href="<?php echo $tmx['download'] ?>" class="menufont"><?php echo $lng_tmx_download ?></a></font></div></td>
    </tr>
    <tr bgcolor="<?php echo $bg1 ?>"> 
      <td height="25" colspan="5" class="celltext"><br>
        <?php echo $lng_tmx_comment ?><br> <table width="490" border="0" align="center">
          <tr> 
            <td class="celltext"><?php echo $tmx['comment'] ?></td>
          </tr>
        </table>
        <br> </td>
    </tr>
  </table>
</div>
<?php
   }
?>
